## ibus-rime 0.9.4

=== CMakeLists.txt ===
project(ibus-rime)
cmake_minimum_required(VERSION 2.8)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(${CMAKE_ROOT}/Modules/FindPkgConfig.cmake)
pkg_check_modules(IBus REQUIRED ibus-1.0)
if(IBus_FOUND)
  include_directories(${IBus_INCLUDE_DIRS})
  link_directories(${IBus_LIBRARY_DIRS})
endif(IBus_FOUND)

pkg_check_modules(LIBNOTIFY REQUIRED libnotify)
if (LIBNOTIFY_FOUND)
  include_directories(${LIBNOTIFY_INCLUDE_DIRS})
  link_directories(${LIBNOTIFY_LIBRARY_DIRS})
endif(LIBNOTIFY_FOUND)

find_package(Rime REQUIRED)
if(Rime_FOUND)
  include_directories(${Rime_INCLUDE_DIR})
endif(Rime_FOUND)

if(NOT DEFINED RIME_DATA_DIR)
  find_package(Brise REQUIRED)
  set(RIME_DATA_DIR ${BRISE_DIR})
endif(NOT DEFINED RIME_DATA_DIR)
message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")

aux_source_directory(. IBUS_RIME_SRC)
add_executable(ibus-engine-rime ${IBUS_RIME_SRC})
target_link_libraries(ibus-engine-rime ${IBus_LIBRARIES} ${LIBNOTIFY_LIBRARIES} ${Rime_LIBRARIES})

=== Makefile ===
ifeq (${PREFIX},)
	PREFIX=/usr
endif
sharedir = $(DESTDIR)$(PREFIX)/share
libexecdir = $(DESTDIR)$(PREFIX)/lib

all: ibus-engine-rime

ibus-engine-rime:
	mkdir -p build
	(cd build; cmake -DCMAKE_BUILD_TYPE=Release .. && make)
	@echo ':)'

install:
	mkdir -p $(sharedir)/ibus/component
	cp rime.xml $(sharedir)/ibus/component/
	mkdir -p $(libexecdir)/ibus-rime
	cp -f build/ibus-engine-rime $(libexecdir)/ibus-rime/
	mkdir -p $(sharedir)/ibus-rime
	mkdir -p $(sharedir)/ibus-rime/icons
	cp -f zhung.svg $(sharedir)/ibus-rime/icons/

uninstall:
	rm $(sharedir)/ibus/component/rime.xml
	rm -R $(sharedir)/ibus-rime
	rm -R $(libexecdir)/ibus-rime

clean:
	if  [ -e build ]; then rm -R build; fi

=== debian/changelog ===
ibus-rime (0.9.4-1) unstable; urgency=low

  * Initial release (Closes: #679389).

 -- Qijiang Fan <fqj1994@gmail.com>  Fri, 08 Jun 2012 18:04:26 +0800

=== debian/control ===
Source: ibus-rime
Section: libs
Priority: extra
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>
Build-Depends: debhelper (>= 9), librime-dev (>= 0.9.2), cmake (>= 2.8), pkg-config, libnotify-dev, fcitx-libs-dev, libibus-1.0-dev, librime-data
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/rimeime
Vcs-Git: git://git.debian.org/git/pkg-ime/ibus-rime.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-rime.git;a=summary


Package: ibus-rime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ibus, librime-data
Description: Rime Input Method Engine for IBus
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the IBus frontend of RIME.

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=lotem&project=ibus-rime /github/lotem/librime/rime-([0-9\.]*)\.tar\.gz

## ibus-rime 1.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 project(ibus-rime)
 cmake_minimum_required(VERSION 2.8)
+
+option(BUILD_STATIC "Build Rime using static libraries" OFF)
 
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
@@ -28,6 +30,15 @@
 message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
 add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")
 
+set(RIME_DEPS "")
+
+if(BUILD_STATIC)
+  link_directories(${PROJECT_SOURCE_DIR}/lib)
+  set(RIME_DEPS ${RIME_DEPS} m stdc++ pthread z
+      libboost_filesystem.a libboost_regex.a libboost_signals.a libboost_system.a libboost_thread.a
+      libglog.a libkyotocabinet.a libopencc.a libyaml-cpp.a)
+endif(BUILD_STATIC)
+
 aux_source_directory(. IBUS_RIME_SRC)
 add_executable(ibus-engine-rime ${IBUS_RIME_SRC})
-target_link_libraries(ibus-engine-rime ${IBus_LIBRARIES} ${LIBNOTIFY_LIBRARIES} ${Rime_LIBRARIES})
+target_link_libraries(ibus-engine-rime ${IBus_LIBRARIES} ${LIBNOTIFY_LIBRARIES} ${Rime_LIBRARIES} ${RIME_DEPS})

=== Makefile ===
ifeq (${PREFIX},)
	PREFIX=/usr
endif
sharedir = $(DESTDIR)$(PREFIX)/share
libexecdir = $(DESTDIR)$(PREFIX)/lib

all: ibus-engine-rime

ibus-engine-rime:
	mkdir -p build
	(cd build; cmake -DCMAKE_BUILD_TYPE=Release .. && make)
	@echo ':)'

ibus-engine-rime-static:
	mkdir -p build
	(cd build; cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_STATIC=ON .. && make)
	@echo ':)'

install:
	install -m 755 -d $(sharedir)/ibus/component
	install -m 644 -t $(sharedir)/ibus/component/ rime.xml
	install -m 755 -d $(libexecdir)/ibus-rime
	install -m 755 -t $(libexecdir)/ibus-rime/ build/ibus-engine-rime
	install -m 755 -d $(sharedir)/ibus-rime
	install -m 755 -d $(sharedir)/ibus-rime/icons
	install -m 644 -t $(sharedir)/ibus-rime/icons/ icons/*.png

uninstall:
	rm $(sharedir)/ibus/component/rime.xml
	rm -R $(sharedir)/ibus-rime
	rm -R $(libexecdir)/ibus-rime

clean:
	if  [ -e build ]; then rm -R build; fi

=== debian/changelog ===
ibus-rime (1.2-1build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:28:32 +0000

ibus-rime (1.2-1build1) wily; urgency=medium

  * No-change rebuild using GCC 5.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 10:54:22 +0000

ibus-rime (1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sat, 20 Sep 2014 21:10:13 +0800

ibus-rime (1.1-1) unstable; urgency=low

  [ Qijiang Fan ]
  * New release.

  [ Guo Yixuan (郭溢譞) ]
  * Updated Standards-Version to 3.9.5, no changes needed.
  * Build-dep on librime-dev >= 1.0 (reverted the renaming).

 -- Qijiang Fan <fqj1994@gmail.com>  Sun, 15 Jun 2014 12:40:33 +0800

ibus-rime (0.9.4-2) unstable; urgency=low

  * Team upload.
  * Fix libexecdir. Closes: #712581

 -- Osamu Aoki <osamu@debian.org>  Wed, 19 Jun 2013 22:24:56 +0900

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,22 @@
 Source: ibus-rime
 Section: libs
 Priority: extra
-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
-Uploaders: Qijiang Fan <fqj1994@gmail.com>, Aron Xu <aron@debian.org>
-Build-Depends: debhelper (>= 9), librime-dev (>= 0.9.2), cmake (>= 2.8), pkg-config, libnotify-dev, fcitx-libs-dev, libibus-1.0-dev, librime-data
-Standards-Version: 3.9.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
+Uploaders: Qijiang Fan <fqj1994@gmail.com>,
+           Aron Xu <aron@debian.org>
+Build-Depends: debhelper (>= 9),
+               librime-dev (>= 1.0),
+               cmake (>= 2.8),
+               pkg-config,
+               libnotify-dev,
+               fcitx-libs-dev,
+               libibus-1.0-dev,
+               librime-data
+Standards-Version: 3.9.5
 Homepage: http://code.google.com/p/rimeime
-Vcs-Git: git://git.debian.org/git/pkg-ime/ibus-rime.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-rime.git;a=summary
-
+Vcs-Git: git://anonscm.debian.org/pkg-ime/ibus-rime.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/ibus-rime.git
 
 Package: ibus-rime
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --libexecdir=/usr/lib/ibus

=== debian/watch ===
version=3
http://githubredir.debian.net/githubredir.cgi?author=lotem&project=ibus-rime /github/lotem/ibus-rime/rime-([0-9\.]*)\.tar\.gz

## ibus-rime 1.3.0

=== debian/changelog ===
ibus-rime (1.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Hui Tang ]
  * Update Priority to optional.
  * Updated Maintainer to
    Debian Input Method Team <debian-input-method@lists.debian.org>.
    Closes: #899545.
  * Add Hui Tang <duriantang@gmail.com> to Uploaders.
  * Updated Standards-Version to 4.1.5.
  * Updated Homepage to https://rime.im.
  * Updated Vcs-Git to https://salsa.debian.org/input-method-team/ibus-rime.git.
  * Updated Vcs-Browser to https://salsa.debian.org/input-method-team/ibus-rime.
  * Updated debian/watch use new github source.

  [ Boyuan Yang ]
  * debian/watch: Fix watch file to properly retrieve information of ibus-rime
    1.3.0.
  * New upstream release.
  * Apply "wrap-and-sort -abst".
  * debian/control:
    + Bump librime-dev version requirement to 1.3+.
    + Bump debhelper compat to v11.
  * debian/rules:
    + Use "dh_missing --fail-missing".
    + Enable full build hardening.
  * debian/docs: Install new README.md instead of README file.
  * debian/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sun, 08 Jul 2018 18:41:53 +0800

=== debian/control ===
Source: ibus-rime
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Hui Tang <duriantang@gmail.com>,
 Qijiang Fan <fqj1994@gmail.com>,
 Aron Xu <aron@debian.org>,
Build-Depends:
 cmake (>= 2.8),
 debhelper (>= 11~),
 fcitx-libs-dev,
 libibus-1.0-dev,
 libnotify-dev,
 librime-data,
 librime-dev (>= 1.3~),
 pkg-config,
Standards-Version: 4.1.5
Homepage: https://rime.im
Vcs-Git: https://salsa.debian.org/input-method-team/ibus-rime.git
Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rime

Package: ibus-rime
Architecture: any
Depends:
 ibus,
 librime-data,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Rime Input Method Engine for IBus
 RIME is the acronym of Rime Input Method Engine.
 .
 RIME is a lightweight, extensible input method engine supporting various input
 schematas including glyph-based input methods, romanization-based input methods
 as well as those for Chinese dialects. It has the ability to compose phrases
 and sentences intelligently and provide very accurate traditional Chinese
 output. RIME's cross-platform core library is written in C++, and can work
 consistently on different platforms with OS-specific wrappers.
 .
 This package provides the IBus frontend of RIME.

## ibus-rime 1.4.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -24,19 +24,23 @@
 endif(Rime_FOUND)
 
 if(NOT DEFINED RIME_DATA_DIR)
-  find_package(Brise REQUIRED)
-  set(RIME_DATA_DIR ${BRISE_DIR})
+  find_package(RimeData REQUIRED)
 endif(NOT DEFINED RIME_DATA_DIR)
 message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
 add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")
 
-set(RIME_DEPS "")
+set(RIME_DEPS "dl")
 
 if(BUILD_STATIC)
+  find_package(ICU REQUIRED uc)
+  if(ICU_FOUND)
+    set(RIME_DEPS ${RIME_DEPS} ${ICU_LIBRARIES})
+  endif()
+
   link_directories(${PROJECT_SOURCE_DIR}/lib)
-  set(RIME_DEPS ${RIME_DEPS} m stdc++ pthread z
-      libboost_filesystem.a libboost_regex.a libboost_signals.a libboost_system.a libboost_thread.a
-      libglog.a libkyotocabinet.a libopencc.a libyaml-cpp.a)
+  set(RIME_DEPS ${RIME_DEPS} m stdc++ pthread
+      libboost_filesystem.a libboost_locale.a libboost_regex.a libboost_signals.a libboost_system.a libboost_thread.a
+      libglog.a libleveldb.a libmarisa.a libopencc.a libyaml-cpp.a)
 endif(BUILD_STATIC)
 
 aux_source_directory(. IBUS_RIME_SRC)

=== Makefile ===
ifeq (${PREFIX},)
	PREFIX=/usr
endif
sharedir = $(DESTDIR)$(PREFIX)/share
libexecdir = $(DESTDIR)$(PREFIX)/lib

ifeq (${builddir},)
	builddir=build
endif

all: ibus-engine-rime

ibus-engine-rime:
	mkdir -p $(builddir)
	(cd $(builddir); cmake -DCMAKE_BUILD_TYPE=Release .. && make)
	@echo ':)'

ibus-engine-rime-static:
	mkdir -p $(builddir)
	(cd $(builddir); cmake -DCMAKE_BUILD_TYPE=Release -DBUILD_STATIC=ON .. && make)
	@echo ':)'

install:
	install -m 755 -d $(sharedir)/ibus/component
	install -m 644 -t $(sharedir)/ibus/component/ rime.xml
	install -m 755 -d $(libexecdir)/ibus-rime
	install -m 755 -t $(libexecdir)/ibus-rime/ $(builddir)/ibus-engine-rime
	install -m 755 -d $(sharedir)/ibus-rime
	install -m 755 -d $(sharedir)/ibus-rime/icons
	install -m 644 -t $(sharedir)/ibus-rime/icons/ icons/*.png

uninstall:
	rm $(sharedir)/ibus/component/rime.xml
	rm -R $(sharedir)/ibus-rime
	rm -R $(libexecdir)/ibus-rime

clean:
	if  [ -e $(builddir) ]; then rm -R $(builddir); fi

=== debian/changelog ===
ibus-rime (1.4.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.6.1.
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 12 Jan 2021 12:17:22 -0500

ibus-rime (1.4.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against libopencc 1.1.1.
  * debian/rules: Drop unnecessary override to dh_missing.

 -- Boyuan Yang <byang@debian.org>  Sat, 04 Jul 2020 20:40:11 -0400

ibus-rime (1.4.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against libopencc2 1.0.6.
  * debian/patches: Backport upstream patches till 2020-02-07.
    + 0003: Fix compilation with GCC 10. (Closes: #957352)
  * debian/control: Bump debhelper compat to v13.
  * debian/rules: Remove manual override on specifying libexecdir.
    Even though such setup never worked, we do not need this workaround
    anymore. For details, see Debian Bug #955235.

 -- Boyuan Yang <byang@debian.org>  Sat, 02 May 2020 17:46:07 -0400

ibus-rime (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.5.3.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches: Backport upstream fixes till 2019-06-27.
  * debian/TODO: Add a TODO file recording current bugs.

 -- Boyuan Yang <byang@debian.org>  Sat, 14 Dec 2019 23:28:38 -0500

ibus-rime (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Buster.
  * New upstream release 1.4.0.
    + Be compatible with librime 1.x API.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.3.0.
    + Use "Rules-Requires-Root: no".
    - Remove unnecessary build-dependency fcitx-libs-dev.

 -- Boyuan Yang <byang@debian.org>  Thu, 28 Feb 2019 16:55:31 -0500

=== debian/control ===
--- 
+++ 
@@ -8,17 +8,17 @@
  Aron Xu <aron@debian.org>,
 Build-Depends:
  cmake (>= 2.8),
- debhelper (>= 11~),
- fcitx-libs-dev,
+ debhelper-compat (= 13),
  libibus-1.0-dev,
  libnotify-dev,
  librime-data,
- librime-dev (>= 1.3~),
+ librime-dev (>= 1.6~),
  pkg-config,
-Standards-Version: 4.1.5
+Rules-Requires-Root: no
+Standards-Version: 4.5.1
 Homepage: https://rime.im
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-rime.git
-Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rime
+Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rim
 
 Package: ibus-rime
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ibus-rime-$1.tar.gz%" \
 https://github.com/rime/ibus-rime/tags \
 (?:.*?/)?(\d[\d.]*)\.tar\.gz debian uupdate

## ibus-rime 1.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,11 @@
 project(ibus-rime)
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 3.10)
+
+set(ibus_rime_version 1.5.0)
 
 option(BUILD_STATIC "Build Rime using static libraries" OFF)
+
+include(GNUInstallDirs)
 
 set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)
 
@@ -29,7 +33,13 @@
 message(STATUS "Precompiler macro RIME_DATA_DIR is set to \"${RIME_DATA_DIR}\"")
 add_definitions(-DRIME_DATA_DIR="${RIME_DATA_DIR}")
 
-set(RIME_DEPS "dl")
+set(ibus_rime_icons_dir "${CMAKE_INSTALL_FULL_DATADIR}/ibus-rime/icons")
+configure_file(
+  "${CMAKE_CURRENT_SOURCE_DIR}/rime_config.h.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/rime_config.h"
+  @ONLY)
+
+include_directories("${CMAKE_CURRENT_BINARY_DIR}")
 
 if(BUILD_STATIC)
   find_package(ICU REQUIRED uc)
@@ -46,3 +56,13 @@
 aux_source_directory(. IBUS_RIME_SRC)
 add_executable(ibus-engine-rime ${IBUS_RIME_SRC})
 target_link_libraries(ibus-engine-rime ${IBus_LIBRARIES} ${LIBNOTIFY_LIBRARIES} ${Rime_LIBRARIES} ${RIME_DEPS})
+
+configure_file(
+  "${CMAKE_CURRENT_SOURCE_DIR}/rime.xml.in"
+  "${CMAKE_CURRENT_BINARY_DIR}/rime.xml"
+  @ONLY)
+
+install(FILES "${CMAKE_CURRENT_BINARY_DIR}/rime.xml" DESTINATION "${CMAKE_INSTALL_DATADIR}/ibus/component")
+install(TARGETS ibus-engine-rime DESTINATION "${CMAKE_INSTALL_LIBEXECDIR}/ibus-rime")
+install(DIRECTORY icons DESTINATION "${CMAKE_INSTALL_DATADIR}/ibus-rime" FILES_MATCHING PATTERN "*.png")
+install(FILES ibus_rime.yaml DESTINATION "${RIME_DATA_DIR}")

=== Makefile ===
ifeq (${PREFIX},)
	PREFIX=/usr
endif
sharedir = $(PREFIX)/share
libexecdir = $(PREFIX)/lib

ifeq (${builddir},)
	builddir=build
endif

all: ibus-engine-rime

ibus-engine-rime:
	mkdir -p $(builddir)
	(cd $(builddir); cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_DATADIR=$(sharedir) -DCMAKE_INSTALL_LIBEXECDIR=$(libexecdir) .. && make)
	@echo ':)'

ibus-engine-rime-static:
	mkdir -p $(builddir)
	(cd $(builddir); cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_DATADIR=$(sharedir) -DCMAKE_INSTALL_LIBEXECDIR=$(libexecdir) -DBUILD_STATIC=ON .. && make)
	@echo ':)'

install:
	(cd $(builddir); make install)

uninstall:
	(cd $(builddir); xargs rm < install_manifest.txt)

clean:
	if  [ -e $(builddir) ]; then rm -R $(builddir); fi

=== debian/changelog ===
ibus-rime (1.5.0-6) unstable; urgency=medium

  * Team upload.
  * Force rebuild against librime 1.11.2.
  * debian/control: Bump Standards-Version to 4.7.0.
  * debian/control: Replace package name pkg-config => pkgconf.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2024 20:20:02 -0400

ibus-rime (1.5.0-5) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.10.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Feb 2024 19:25:40 -0500

ibus-rime (1.5.0-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.9.0.

 -- Boyuan Yang <byang@debian.org>  Sat, 23 Sep 2023 23:16:22 -0400

ibus-rime (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.8.5.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Feb 2023 19:45:58 -0500

ibus-rime (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.8.3.
  * debian/control: Use GitHub project as homepage.

 -- Boyuan Yang <byang@debian.org>  Fri, 27 Jan 2023 12:42:18 -0500

ibus-rime (1.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Rebuild against librime 1.7.3.
  * Rebuild against opencc 1.1.3.
  * debian/control: Bump Standards-Version to 4.6.0.
  * debian/control: Further limit version requirement of librime-dev
    to (>= 1.7.3~).
  * debian/patches: Dropped, all merged upstream.

 -- Boyuan Yang <byang@debian.org>  Sun, 03 Oct 2021 00:19:43 -0400

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,18 @@
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
 Build-Depends:
- cmake (>= 2.8),
+ cmake (>= 3.10),
  debhelper-compat (= 13),
  libibus-1.0-dev,
  libnotify-dev,
  librime-data,
- librime-dev (>= 1.6~),
- pkg-config,
+ librime-dev (>= 1.11),
+ pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
-Homepage: https://rime.im
+Standards-Version: 4.7.0
+Homepage: https://github.com/rime/ibus-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-rime.git
-Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rim
+Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rime
 
 Package: ibus-rime
 Architecture: any

## ibus-rime 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 project(ibus-rime)
 cmake_minimum_required(VERSION 3.10)
 
-set(ibus_rime_version 1.5.0)
+set(ibus_rime_version 1.5.1)
 
 option(BUILD_STATIC "Build Rime using static libraries" OFF)

=== debian/changelog ===
ibus-rime (1.5.1-4) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.15.

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Dec 2025 15:00:47 -0500

ibus-rime (1.5.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.13.1.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Mar 2025 12:07:36 -0500

ibus-rime (1.5.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.13.

 -- Boyuan Yang <byang@debian.org>  Tue, 28 Jan 2025 15:00:58 -0500

ibus-rime (1.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 09 Jan 2025 16:05:11 -0500

ibus-rime (1.5.0-7) unstable; urgency=medium

  * Team upload.
  * Rebuild against librime 1.12.

 -- Boyuan Yang <byang@debian.org>  Wed, 13 Nov 2024 22:45:46 -0500

=== debian/control ===
--- 
+++ 
@@ -7,15 +7,15 @@
  Qijiang Fan <fqj1994@gmail.com>,
  Aron Xu <aron@debian.org>,
 Build-Depends:
- cmake (>= 3.10),
+ cmake,
  debhelper-compat (= 13),
  libibus-1.0-dev,
  libnotify-dev,
  librime-data,
- librime-dev (>= 1.11),
+ librime-dev (>= 1.15),
  pkgconf,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/rime/ibus-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rime

## ibus-rime 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
+cmake_minimum_required(VERSION 3.10)
 project(ibus-rime)
-cmake_minimum_required(VERSION 3.10)
 
-set(ibus_rime_version 1.5.1)
+set(ibus_rime_version 1.6.0)
 
 option(BUILD_STATIC "Build Rime using static libraries" OFF)

=== debian/changelog ===
ibus-rime (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/watch: Update to version 5.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jan 2026 20:27:27 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: ibus-rime
 Section: libs
-Priority: optional
 Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Hui Tang <duriantang@gmail.com>,
@@ -14,19 +13,10 @@
  librime-data,
  librime-dev (>= 1.15),
  pkgconf,
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/rime/ibus-rime
 Vcs-Git: https://salsa.debian.org/input-method-team/ibus-rime.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/ibus-rime
-
-Package: ibus-rime
-Architecture: any
-Depends:
- ibus,
- librime-data,
- ${misc:Depends},
- ${shlibs:Depends},
 Description: Rime Input Method Engine for IBus
  RIME is the acronym of Rime Input Method Engine.
  .
@@ -38,3 +28,13 @@
  consistently on different platforms with OS-specific wrappers.
  .
  This package provides the IBus frontend of RIME.
+
+Package: ibus-rime
+Architecture: any
+Depends:
+ ibus,
+ librime-data,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}

=== debian/watch ===
Version: 5

Template: GitHub
Owner: rime
Project: ibus-rime
